Oracle Internet File System Setup and Administration Guide Release 1.1 A81197-05 |
Library | Service | Contents | Index

#
Preface

Oracle Internet File System (Oracle iFS) is a file system and development platform that runs as part of the Oracle8i database. From the perspective of an end user, Oracle iFS functions similarly to a standard file server, organizing files into hierarchies of folders.

Oracle iFS combines file, Web, e-mail, and database servers into a single server application and a single repository. Data previously stored on separate machines, managed by separate server applications, can be integrated into a single repository. Users and applications can access the contents of Oracle iFS through several network protocols, such as FTP, Windows (SMB), and HTTP, as well as through relational database operations. As an administrator, you can secure, back up, restore, and monitor all of this data using different administration tools.

## Intended Audience

This manual is intended for system administrators. It provides an introduction to Oracle iFS and describes the configuration, customization, and management tasks you will perform as an Oracle iFS server administrator.

## Skills Required to Administer Oracle iFS

You need the following skills to perform basic administrative functions with Oracle iFS:

- Experience administering systems running the networking protocols used in Oracle iFS. These include Windows (SMB)/CIFS (the protocol for Windows networks), FTP, HTTP, IMAP4, and SMTP.

- Familiarity with Internet technologies. Since Oracle iFS serves web pages representing the file system, relies on XML for system configuration data, and uses Java as the language of server-side application development, familiarity with these technologies is essential.

- Experience administering an Oracle database. The administrator needs to be acquainted with relational database principles as well as the tools used to administer an Oracle database.

- Familiarity with the Java Runtime Environment (JRE) and the Java Developer's Kit (JDK).

## Structure of this Guide

This manual contains thirteen chapters and two appendices:

Chapter 1 | Getting Started with Oracle iFS | Introduces Oracle iFS, the administration tools, out-of-the-box and customized setup, and maintenance issues.
Chapter 2 | Starting Oracle iFS | Describes the necessary steps to starting Oracle iFS.
Chapter 3 | Using Oracle iFS Manager | Describes using Oracle iFS Manager, the tool used to administer Oracle iFS as an extension of Oracle Enterprise Manager.
Chapter 4 | Task 1: Set Up the Folder Hierarchy | Describes the folder hierarchy in Oracle iFS, how to plan your folder hierarchy, and how to use the administration tools to create and define security for folders.
Chapter 5 | Task 2: Add Users and Groups | Describes users and groups in Oracle iFS, and the administration tasks used to create, modify, and delete them.
Chapter 6 | Task 3: Load Files into Oracle iFS | Describes the five ways to load files into Oracle iFS, how to assign access permissions, and how to upload files.
Chapter 7 | Task 4: Set Up Security | Describes user and file security, including Access Control Lists (ACLs), and how to define them.
Chapter 8 | Using Server Manager to Start and Stop Servers | Describes starting and stopping the servers using Server Manager and working with the protocol servers.
Chapter 9 | Configuration and Back Up | Describes configuration and maintenance functions.
Chapter 10 | Using Oracle iFS Manager for Development Tasks | Describes the various development tasks which can be performed using Oracle iFS Manager, such as creating class objects and value defaults.
Chapter 11 | Oracle iFS Repository Views | Shows how to use the Oracle iFS repository views to administer Oracle iFS.
Chapter 12 | What Your Users Need to Know | Describes basic information your users need to get started using Oracle iFS.
Chapter 13 | Oracle iFS Log Files and Troubleshooting Information | Describes troubleshooting information for problem solving.
Appendix A | Command Line Utilities Reference | Describes using the Command Line Utilities for administering Oracle iFS.
Appendix B | Secondary Properties | Describes Oracle iFS properties and provides example of settings.

## Related Documents

For more information on Oracle iFS, see the following manuals which are included with Oracle iFS:

- Oracle Internet File System Installation Guide

- Oracle Internet File System Quick Tour

- Oracle Internet File System User's Guide

- Oracle Internet File System Developer's Guide

- Oracle Internet File System XML Reference

For more information on the Oracle8i database, see the documentation for Oracle8i.

The following developer documentation is available in the Documentation section of the Oracle iFS listing on OTN (Oracle Technology Network):

Oracle Internet File System Javadoc | Describes the packages, classes, and methods of the Oracle iFS API.
Oracle Internet File System Class Reference | Provides a listing of the class hierarchy and describes the attributes of the Java classes.

| Copyright © 2000 Oracle Corporation. All Rights Reserved. |
Library | Service | Contents | Index